## lua-torch-paths 0~20160203-g68d579a

=== debian/changelog ===
lua-torch-paths (0~20160203-g68d579a-2) unstable; urgency=medium

  * Add autopkgtest support -- require paths to see if this package works.

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 07 Oct 2016 12:06:50 +0000

lua-torch-paths (0~20160203-g68d579a-1) unstable; urgency=low

  * Initial release. Closes: #826529

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 03 Jun 2016 14:23:29 +0000

## lua-torch-paths 0~20170226

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

INCLUDE_DIRECTORIES("${CMAKE_CURRENT_BINARY_DIR}")
INCLUDE_DIRECTORIES("${LUA_INCDIR}")
LINK_DIRECTORIES("${LUA_LIBDIR}")

INCLUDE(CheckIncludeFiles)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckLibraryExists)

IF (UNIX OR NOT WIN32)
  CHECK_INCLUDE_FILES(fcntl.h HAVE_FCNTL_H)
  CHECK_INCLUDE_FILES(unistd.h HAVE_UNISTD_H)
  CHECK_INCLUDE_FILES(dirent.h HAVE_DIRENT_H)
  CHECK_INCLUDE_FILES(time.h HAVE_TIME_H)
  CHECK_INCLUDE_FILES(sys/time.h HAVE_SYS_TIME_H)
  CHECK_INCLUDE_FILES(sys/ndir.h HAVE_SYS_NDIR_H)
  CHECK_INCLUDE_FILES(sys/utsname.h HAVE_SYS_UTSNAME_H)
  CHECK_INCLUDE_FILES(sys/dir.h HAVE_SYS_DIR_H)
  CHECK_INCLUDE_FILES(ndir.h HAVE_NDIR_H)
  CHECK_FUNCTION_EXISTS(getcwd HAVE_GETCWD)
  CHECK_LIBRARY_EXISTS(dl dlopen "" HAVE_DLOPEN)
ENDIF (UNIX OR NOT WIN32)

CONFIGURE_FILE("paths.h.in" "${CMAKE_CURRENT_BINARY_DIR}/paths.h")

SET(src 
  "${CMAKE_CURRENT_SOURCE_DIR}/paths.c"
  "${CMAKE_CURRENT_BINARY_DIR}/paths.h" )

SET(luasrc 
  "${CMAKE_CURRENT_SOURCE_DIR}/init.lua")

# When using MSVC
IF(MSVC)
  # we want to respect the standard, and we are bored of those **** .
  ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE=1)
ENDIF(MSVC)

ADD_LIBRARY("paths" MODULE ${src})
SET_TARGET_PROPERTIES("paths" PROPERTIES
  PREFIX "lib"
  IMPORT_PREFIX "lib")

IF(APPLE)
  SET_TARGET_PROPERTIES("paths" PROPERTIES
    LINK_FLAGS "-undefined dynamic_lookup")
ENDIF()

INSTALL(FILES ${luasrc} DESTINATION ${LUADIR}/paths)
INSTALL(TARGETS paths
  LIBRARY DESTINATION ${LIBDIR}
  RUNTIME DESTINATION ${LIBDIR})

IF(LUALIB)
  TARGET_LINK_LIBRARIES(paths ${LUALIB})
ENDIF()

## lua-torch-paths 0~20161027-g2bc6460

=== debian/changelog ===
lua-torch-paths (0~20161027-g2bc6460-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Zhou Mo <cdluminate@gmail.com>  Wed, 16 Nov 2016 07:54:02 +0000

=== debian/control ===
Source: lua-torch-paths
Section: interpreters
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Zhou Mo <cdluminate@gmail.com>
Build-Depends: debhelper (>=9), cmake, dh-lua
Standards-Version: 3.9.8
Homepage: https://github.com/torch/paths
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lua-torch-paths.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lua-torch-paths.git

Package: lua-torch-paths
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, lua5.1 | luajit
XB-Lua-Versions: ${lua:Versions}
Description: Filename Manipulation Package for Torch Framework
 This package provides portable functions and variables to manipulate
 the file system :
 .
  * Manipulating filenames: functions for manipulating filenames ;
  * Directory functions: functions for listing and manipulating directories ;
  * Directory paths: paths to well known directories ;
  * Miscellaneous: uncategorized functions ;
 .
 When this package is loaded, it also computes a number of useful 
 variables indicating where the various Torch components are installed.  

Package: lua-torch-paths-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends},
         lua-torch-paths (= ${binary:Version}),
XB-Lua-Versions: ${lua:Versions}
Description: Filename Manipulation Package for Torch Framework (dev)
 This package provides portable functions and variables to manipulate
 the file system :
 .
  * Manipulating filenames: functions for manipulating filenames ;
  * Directory functions: functions for listing and manipulating directories ;
  * Directory paths: paths to well known directories ;
  * Miscellaneous: uncategorized functions ;
 .
 When this package is loaded, it also computes a number of useful 
 variables indicating where the various Torch components are installed.  
 Do not change their values.Do not change their values.
 .
 This package contains development files for lua-torch-paths.

## lua-torch-paths 0~20170226-g4ebe222

=== debian/changelog ===
lua-torch-paths (0~20170226-g4ebe222-2) unstable; urgency=medium

  * Add watch file to monitor upstream master branch.
  * Bump debhelper compat level to 11.
  * Update copyright information.
  * Bump Standards-Version to 4.1.4 .
    + Change copyright-format URL into https form.
  * Point Vcs-* links to Salsa.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 21 Apr 2018 03:08:34 +0000

lua-torch-paths (0~20170226-g4ebe222-1) unstable; urgency=medium

  * Import snapshot.
  * Override no-symbols-control-file
  * Bump debhelper compat to 10.
  * Bump Standards-Version to 4.0.0 (requires no change).

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 28 Jul 2017 09:16:57 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: interpreters
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Zhou Mo <cdluminate@gmail.com>
-Build-Depends: debhelper (>=9), cmake, dh-lua
-Standards-Version: 3.9.8
+Uploaders: Mo Zhou <cdluminate@gmail.com>
+Build-Depends: debhelper (>=11), cmake, dh-lua
+Standards-Version: 4.1.4
 Homepage: https://github.com/torch/paths
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lua-torch-paths.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lua-torch-paths.git
+Vcs-Browser: https://salsa.debian.org/science-team/lua-torch-paths
+Vcs-Git: https://salsa.debian.org/science-team/lua-torch-paths.git
 
 Package: lua-torch-paths
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS= hardening=+all

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	ln -s . paths
	# the following command line generates a paths.h file with patched CMakeLists.txt
	set -e; mkdir build; cd build; cmake ..; cp paths.h ..; cd ..; rm -rf build;
	dh_auto_configure

override_dh_auto_clean:
	-$(RM) -rf paths.h 5.1-torch-paths 5.2-torch-paths debian/trash paths
	dh_auto_clean

=== debian/tests/control ===
Tests: lua.require

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0~%cd-g%h" \
https://github.com/torch/paths \
HEAD debian uupdate
